> # NAME

> cgCreateEffectAnnotation - create an effect annotation

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGannotation cgCreateEffectAnnotation( CGeffect effect,
>                                              const char * name,
>                                              CGtype type );

> # PARAMETERS

> effect

>   The effect to which the new annotation will be added.

> name

>   The name of the new annotation.

> type

>   The type of the new annotation.

> # RETURN VALUES

> Returns the new CGannotation handle on success.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgCreateEffectAnnotation adds a new annotation to the effect.

> # EXAMPLES

>       /* create a float annotation named "Apple" for CGeffect effect */
>       CGannotation ann = cgCreateEffectAnnotation( effect, "Apple", CG_FLOAT );

> # ERRORS

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> CG_DUPLICATE_NAME_ERROR is generated if name is already used by an annotation for this effect.

> CG_INVALID_ENUMERANT_ERROR is generated if type is not CG_INT, CG_FLOAT, CG_BOOL, or CG_STRING.

> # HISTORY

> cgCreateEffectAnnotation was introduced in Cg 1.5.

> # SEE ALSO

> cgGetNamedEffectAnnotation, cgGetFirstEffectAnnotation, cgGetNextAnnotation